<?php
session_start();
require '../config.php';

// // 权限验证（仅管理员和财务）
// if (!isset($_SESSION['user_id']) || ($_SESSION['role'] !== 'admin' && $_SESSION['role'] !== 'finance')) {
//     header("Location: login.php");
//     exit;
// }

// 获取盈利数据
$profit_data = $pdo->query("
    SELECT 
        DATE_FORMAT(so.created_at, '%Y-%m') AS month,
        SUM(so.total_amount) AS total_income,
        SUM(oi.quantity * i.cost_price) AS total_cost,
        SUM(so.total_amount - (oi.quantity * i.cost_price)) AS gross_profit,
        (SUM(so.total_amount - (oi.quantity * i.cost_price)) / SUM(so.total_amount)) * 100 AS gross_margin
    FROM sales_order so
    JOIN order_item oi USING(order_id)
    JOIN inventory i ON oi.product_id = i.product_id AND oi.batch_no = i.batch_no
    WHERE so.created_at >= DATE_SUB(NOW(), INTERVAL 1 YEAR)
    GROUP BY month
    ORDER BY month DESC
")->fetchAll();

?>
<!DOCTYPE html>
<html>

<head>
    <title>财务盈利分析</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <div class="container">
        <h2>月度盈利分析</h2>

        <div class="table-container">
            <table>
                <thead>
                    <tr>
                        <th>月份</th>
                        <th>总收入</th>
                        <th>总成本</th>
                        <th>毛利润</th>
                        <th>毛利率</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($profit_data as $row): ?>
                        <tr>
                            <td><?= $row['month'] ?></td>
                            <td>¥<?= number_format($row['total_income'], 2) ?></td>
                            <td>¥<?= number_format($row['total_cost'], 2) ?></td>
                            <td class="<?= $row['gross_profit'] > 0 ? 'positive' : 'negative' ?>">
                                ¥<?= number_format($row['gross_profit'], 2) ?>
                            </td>
                            <td><?= number_format($row['gross_margin'], 1) ?>%</td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</body>

</html>