<?php
session_start();

define('DB_HOST', 'localhost'); //数据库主机地址
define('DB_NAME', 'ehw_text'); //数据库名称
define('DB_USER', 'root'); //数据库用户名
define('DB_PASS', 'root'); //数据库密码

// 填写mysqldump.exe的路径
define('MYSQL_BIN_PATH', '.../MySQL8.0.12/bin/'); // 结尾带斜杠
define('MYSQLDUMP_PATH', MYSQL_BIN_PATH . 'mysqldump.exe'); // 自动拼接路径

// CSRF保护函数
function csrf_field()
{
    if (empty($_SESSION['csrf_token'])) {
        $_SESSION['csrf_token'] = bin2hex(random_bytes(32));
    }
    return '<input type="hidden" name="csrf_token" value="' . $_SESSION['csrf_token'] . '">';
}
//权限检查函数
function is_admin()
{
    return isset($_SESSION['role']) && $_SESSION['role'] == 'admin';
}
function check_admin_permission()
{
    if (!is_admin()) {
        header("HTTP/1.1 403 Forbidden");
        exit("<div class='alert alert-danger'>权限不足，无法访问此页面</div>");
    }
}

try {
    $pdo = new PDO(
        "mysql:host=" . DB_HOST . ";dbname=" . DB_NAME . ";charset=utf8mb4",
        DB_USER,
        DB_PASS,
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC
        ]
    );
} catch (PDOException $e) {
    die("数据库连接失败: " . $e->getMessage());
}
