<?php
session_start();
require '../config.php';

// 获取客户售后记录
$services = [];
if (isset($_GET['phone'])) {
    $stmt = $pdo->prepare("
        SELECT s.service_id, s.service_type, s.service_status, 
               s.scheduled_time, s.completed_time,
               c.customer_name, so.order_no
        FROM service_order s
        JOIN sales_order so ON s.order_id = so.order_id
        JOIN customer c ON so.customer_id = c.customer_id
        WHERE c.phone = ?
    ");
    $stmt->execute([$_GET['phone']]);
    $services = $stmt->fetchAll();
}
?>
<!DOCTYPE html>
<html>

<head>
    <title>售后记录</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <div class="container">
        <h2>售后服务记录</h2>

        <div class="form-container">
            <form method="GET">
                <div class="form-group">
                    <input type="text" name="phone" placeholder="输入客户手机号" required>
                    <button type="submit">查询</button>
                </div>
            </form>
        </div>

        <?php if (!empty($services)): ?>
            <div class="table-container">
                <table>
                    <thead>
                        <tr>
                            <th>服务日期</th>
                            <th>服务类型</th>
                            <th>处理状态</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($services as $s): ?>
                            <tr>
                                <td><?= date('Y-m-d', strtotime($s['scheduled_time'])) ?></td>
                                <td><?= $s['service_type'] ?></td>
                                <td>
                                    <span class="status-tag <?= strtolower($s['service_status']) ?>">
                                        <?= $s['service_status'] ?>
                                    </span>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php endif; ?>
    </div>
</body>

</html>