<?php
session_start();
require '../config.php';

// 获取待配送订单
$orders = $pdo->query("
    SELECT s.*, c.customer_name, c.phone 
    FROM sales_order s
    JOIN customer c ON s.customer_id = c.customer_id
    WHERE s.delivery_status = '待出库'
    AND s.order_type = '线上'
")->fetchAll();

// 处理配送分配
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['dispatch'])) {
    $order_id = (int)$_POST['order_id'];
    $courier_type = $_POST['courier_type'];

    try {
        if ($courier_type === 'INTERNAL') {
            $courier_id = (int)$_POST['courier_id'];
            // 记录内部配送员
            $pdo->prepare("
                UPDATE sales_order 
                SET delivery_status = '配送中',
                    salesperson_id = ?
                WHERE order_id = ?
            ")->execute([$courier_id, $order_id]);
        } else {
            $logistics_company = $_POST['logistics_company'];
            $tracking_no = $_POST['tracking_no'];
            // 记录第三方物流
            $pdo->prepare("
                UPDATE sales_order 
                SET delivery_status = '配送中',
                    payment_method = ?
                WHERE order_id = ?
            ")->execute([$logistics_company, $order_id]);
        }

        $_SESSION['success'] = "配送任务已分配";
    } catch (PDOException $e) {
        $_SESSION['error'] = "分配失败：" . $e->getMessage();
    }
    header("Location: delivery_dispatch.php");
    exit;
}
?>

<!DOCTYPE html>
<html>

<head>
    <title>配送调度</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <div class="container">
        <h2>配送任务分配</h2>

        <?php foreach ($orders as $order): ?>
            <div class="form-container">
                <h3>订单号：<?= $order['order_no'] ?></h3>
                <form method="POST">
                    <div class="form-group">
                        <label>配送方式</label>
                        <select name="courier_type" required>
                            <option value="INTERNAL">内部配送</option>
                            <option value="THIRD_PARTY">第三方物流</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label>配送员选择</label>
                        <select name="courier_id" required>
                            <?php foreach ($couriers as $c): ?>
                                <option value="<?= $c['user_id'] ?>"><?= $c['username'] ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <button type="submit" name="dispatch">确认分配</button>
                    </div>
                </form>
            </div>
        <?php endforeach; ?>
    </div>
</body>

</html>