<?php
// index.php 主框架页面
session_start();
require_once '../config.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>订单与配送与维修售后</title>
    <style>
        /* 基础样式 */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background: #f0f2f5;
        }

        /* 侧边栏容器 */
        .sidebar {
            position: fixed;
            left: 0;
            top: 0;
            width: 240px;
            height: 100vh;
            background: #2c3e50;
            padding: 20px 0;
            box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
        }

        /* 侧边栏导航 */
        .nav-menu {
            list-style: none;
        }

        .nav-item {
            margin: 8px 15px;
        }

        .nav-link {
            display: block;
            padding: 12px 20px;
            color: #ffffff !important;
            text-decoration: none;
            border-radius: 4px;
            transition: all 0.3s;
        }

        .nav-link:hover {
            background: #34495e;
            color: #ecf0f1;
        }

        /* 返回按钮样式 */
        .back-btn {
            background: #3498db;
            margin-bottom: 30px;
        }

        .back-btn:hover {
            background: #2980b9;
        }

        /* 右侧内容区 */
        .content-frame {
            margin-left: 240px;
            height: 100vh;
        }

        iframe {
            width: 100%;
            height: 100%;
            border: none;
            background: #fff;
        }
    </style>
</head>

<body>
    <!-- 侧边栏 -->
    <nav class="sidebar">
        <ul class="nav-menu">
            <li class="nav-item">
                <a href="../home.php" class="nav-link back-btn">
                    返回首页
                </a>
            </li>
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('online_orders.php')">
                    线上订单管理
                </a>
            </li>
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('delivery_dispatch.php')">
                    配送调度管理
                </a>
            </li>
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('order_tracking.php')">
                    订单状态跟踪
                </a>
            </li>
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('service_management.php')">
                    安装维修管理
                </a>
            </li>
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('after_sales.php')">
                    售后记录
                </a>
            </li>
        </ul>
    </nav>

    <!-- 内容区 -->
    <div class="content-frame">
        <iframe name="contentFrame" id="mainFrame" src="online_orders.php"></iframe>
    </div>

    <script>
        // 页面加载函数
        function loadPage(pageUrl) {
            document.getElementById('mainFrame').src = pageUrl;
        }

        // 初始化加载默认页
        window.onload = function() {
            loadPage('online_orders.php');
        }
    </script>
</body>

</html>