<?php
session_start();
require '../config.php';

// 获取订单状态
$order = [];
if (isset($_GET['order_no'])) {
    $stmt = $pdo->prepare("
        SELECT s.*, c.customer_name,
            (SELECT transaction_time FROM financial_transaction 
             WHERE order_id = s.order_id 
             ORDER BY transaction_time DESC LIMIT 1) AS last_update
        FROM sales_order s
        JOIN customer c ON s.customer_id = c.customer_id
        WHERE s.order_no = ?
    ");
    $stmt->execute([$_GET['order_no']]);
    $order = $stmt->fetch();
}
?>
<!DOCTYPE html>
<html>

<head>
    <title>订单追踪</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <div class="container">
        <h2>订单状态追踪</h2>

        <div class="form-container">
            <form method="GET">
                <div class="form-group">
                    <input type="text" name="order_no" placeholder="输入订单号" required>
                    <button type="submit">查询</button>
                </div>
            </form>
        </div>

        <?php if ($order): ?>
            <div class="table-container">
                <table>
                    <thead>
                        <tr>
                            <th>时间</th>
                            <th>状态更新</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><?= date('Y-m-d H:i', strtotime($order['created_at'])) ?></td>
                            <td>订单已创建</td>
                        </tr>
                        <tr>
                            <td><?= $order['last_update'] ? date('Y-m-d H:i', strtotime($order['last_update'])) : '--' ?></td>
                            <td>已出库</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        <?php endif; ?>
    </div>
</body>

</html>