<?php
// set.php
session_start();

?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <title>系统配置检查</title>
    <style>
        body {
            background: linear-gradient(135deg, #2196F3 0%, #4FC3F7 100%);
            min-height: 100vh;
            display: flex;
            align-items: center;
        }

        .container {
            max-width: 800px;
            margin: 2rem auto;
            padding: 0 1rem;
        }

        .config-card {
            background: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
            padding: 2rem;
            margin-bottom: 2rem;
        }

        .checklist {
            list-style: none;
            padding: 0;
        }

        .check-item {
            padding: 1rem;
            margin: 0.5rem 0;
            background: #f8f9fa;
            border-left: 4px solid #4CAF50;
        }

        code {
            background: #f3f3f3;
            padding: 2px 5px;
            border-radius: 3px;
        }

        .btn-primary {
            display: inline-block;
            padding: 12px 24px;
            background: #4CAF50;
            color: white !important;
            border-radius: 4px;
            transition: all 0.3s ease;
            text-align: center;
            border: none;
            cursor: pointer;
        }

        .btn-primary:hover {
            background: #45a049;
            transform: translateY(-2px);
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="config-card">
            <h2>🎉 系统安装成功！</h2>
            <h3>默认管理员账号：admin</h3>
            <h3>默认管理员密码：admin</h3>
            <h2>请完成以下必要配置以确保系统安全和正确运行：</h2>
            <h3>修改根目录下的config.php文件:</h3>
            <p>define('DB_HOST', 'localhost'); -- 修改为实际数据库地址，本地测试使用localhost<br>
                define('DB_NAME', 'lim_com'); -- 修改为实际数据库名称<br>
                define('DB_USER', 'root'); -- 修改为实际数据库用户名<br>
                define('DB_PASS', 'root'); -- 修改为实际数据库密码<br>               
                define('MYSQL_BIN_PATH', '.../MySQL8.0.12/bin/'); --修改为实际MySQL安装目录下的bin目录路径<br>
            </p>
            <div class="important-note">
                <h3>⏰ 建议：</h3>
                <p>
                    立即删除 install.php 文件<br>
                    修改默认管理员密码<br>
                    确认是否安装了mysqldump<br>
                    备份数据库配置文件<br>
                </p>
            </div>
            <div class="action-buttons" style="margin-top: 2rem;">
                <a href="./login.php" class="btn-primary" style="text-decoration: none; display: inline-block;">
                    前往登录页面
                </a>
            </div>
        </div>
    </div>
</body>

</html>